## org.eclipse.m2m.atl.adt.debug
Class AtlDebugPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.m2m.atl.adt.debug.AtlDebugPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class AtlDebugPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AtlDebugPlugin()` The constructor.

Method Summary
`static AtlDebugPlugin` `getDefault()` Returns the shared instance.
`org.eclipse.debug.ui.IDebugModelPresentation` `getModelPresentation()` Returns a shared utility Atl debug model presentation.
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle.
`static java.lang.String` `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static java.lang.String` `getUniqueIdentifier()` Returns the unique identifier of the plugin.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtlDebugPlugin

    public AtlDebugPlugin()

  The constructor.

Method Detail

### getDefault

    public static AtlDebugPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

  Parameters:
    `key` - the default value
  Returns:
    the string from the plugin's resource bundle, or 'key' if not found

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle.

  Returns:
    the plugin's resource bundle

### getUniqueIdentifier

    public static java.lang.String getUniqueIdentifier()

  Returns the unique identifier of the plugin.

  Returns:
    the unique identifier of the plugin

### getModelPresentation

    public org.eclipse.debug.ui.IDebugModelPresentation getModelPresentation()

  Returns a shared utility Atl debug model presentation. Clients should not dispose the presentation.

  Returns:
    an Atl debug model presentation

Copyright 2007 IBM Corporation and others. All Rights Reserved.